Hello,

there seems to be another thing about fglrx/Catalyst that apparently has not been mentioned (or even discovered) yet. It is about Java2D and its OpenGL pipeline.

I write Java tools with graphical user interfaces for different 2D-related purposes. The Java2D subsystem of J2SE provides the very nice feature to render everything - including the user interface itself - using OpenGL. This feature is called the Java2D OpenGL pipeline. I usually enable this feature for my tools since it speeds up things dramatically.

I am currently using Ubuntu/gutsy with an ATI Radeon X1800. The provided version of fglrx 8.37.6 is installed. The Java2D OpenGL pipeline works fine (except for some Java Swing UI elements being rendered incorrectly).

Now for my problem:

Since fglrx 8.37.6 is not the youngest anymore (and has some quirks affecting me), I always give the monthly releases a try. But starting with 8.42.3 (the one with the new codebase?) the Java2D OpenGL pipeline does not work anymore!

Instead, Java2D tells me:
Could not enable OpenGL pipeline for default config on screen 0

Reverting to 8.37.6 and everything is fine again.

Accoring to Sun's documentation the following conditions have to be met in order of the Java2D OpenGL pipeline to work:

  • Hardware accelerated OpenGL/GLX libraries installed and configured properly
  • OpenGL version 1.2 or higher
  • GLX version 1.3 or higher
  • At least one TrueColor visual with an available stencil buffer


(taken from: http://java.sun.com/j2se/1.5.0/docs/...tures.html#ogl)

Since there are many people realizing many fglrx-related outputs about unsupported visuals in xorg.0.log, maybe it has something to do with that?

The problem is still present in Catalyst 8.01. I read that Ubuntu/hoary will come with Catalyst 7.11 - this means a not working Java2D OpenGL pipeline by default.

Did anybody else get aware of this problem, too?

Regards
ckxdce